Bug 64251 - ICE on 'cpp -M -g3'
ICE on 'cpp -M -g3'
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-30 13:09 EDT by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-01 07:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-04-30 13:09:35 EDT
Description of Problem:

| $ echo | cpp -M -g3 -E -
| gcc: Internal error: Speicherzugriffsfehler (program cpp0)
| Please submit a full bug report.
| See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Does not happen when using '-g2' instead of '-g3'.


Version-Release number of selected component (if applicable):

cpp-3.1-0.23.1
(also seen with arm-linux crosscompiler based on 3.1-0.25)
Comment 2 Jakub Jelinek 2002-05-10 10:38:21 EDT
Fixed in gcc{3,}-3.1-0.27 and above.
gcc3-3.1-0.28 is in ftp://people.redhat.com/jakub/gcc3/3.1-0.28/
gcc-3.1-0.28 should be in rawhide.

Note You need to log in before you can comment on or make changes to this bug.